Subject: bug#64420: string-width of … is 2 in CJK environments

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Aug 2023 20:09:15 +0300

> Date: Sat, 12 Aug 2023 19:40:01 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >> With the caveat that, in the terminal, if I switch to Chinese-BIG5 and
> >> visit a file with ambiguous characters like … (which triggers some bugs
> >> with display and navigation around those chars), (setopt
> >> cjk-ambiguous-chars-are-wide nil) doesn't fix those bugs -- I have to
> >> kill and re-visit the buffer for them to go away. But maybe that's expected.
> > Does "M-x redraw-display RET" solve the problem after setting the
> > variable?
> 
> Looks like it does, yes.

I guess the :set function should trigger that or something.  Let me
think about that.